"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ayuda_service_1 = require("../../service/ayuda.service");
var general_utils_service_1 = require("../../service/general-utils.service");
var BitReadonlyComponent = /** @class */ (function () {
    function BitReadonlyComponent(ayudaService) {
        this.ayudaService = ayudaService;
        this.hideLabel = false;
    }
    BitReadonlyComponent.prototype.showAyuda = function () {
        this.ayudaService.mostrarAyuda(this.ayuda);
    };
    Object.defineProperty(BitReadonlyComponent.prototype, "value_lectura", {
        get: function () {
            this.tipo = this.tipo || 'text';
            switch (this.tipo) {
                case 'date':
                    return this.valor ? general_utils_service_1.GeneralUtils.getDateAsString(general_utils_service_1.GeneralUtils.stringShortToDate(this.valor)) : '';
                case 'datetime':
                    return this.valor ? general_utils_service_1.GeneralUtils.getDateTimeAsString(general_utils_service_1.GeneralUtils.stringToDate(this.valor)) : '';
                case 'time':
                    return this.valor ? general_utils_service_1.GeneralUtils.getTimeAsString(general_utils_service_1.GeneralUtils.stringToTime(this.valor)) : '';
                case 'boolean':
                    return this.valor ? 'Sí' : 'No';
                default:
                    return this.valor;
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BitReadonlyComponent.prototype, "isTextarea", {
        get: function () {
            return this.tipo === 'textarea';
        },
        enumerable: true,
        configurable: true
    });
    BitReadonlyComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: "bit-readonly",
                    template: "\n    <label *ngIf=\"!hideLabel\">\n        <ng-content></ng-content>&nbsp;&nbsp;\n        <i *ngIf=\"ayuda\" class=\"btn-ayuda fa fa-question\" (click)=\"showAyuda()\"></i>\n    </label>\n    <p *ngIf=\"!isTextarea\" class=\"lectura\">{{value_lectura}}</p>\n    <pre *ngIf=\"isTextarea\" class=\"lectura\">{{value_lectura}}</pre>\n  "
                },] },
    ];
    /** @nocollapse */
    BitReadonlyComponent.ctorParameters = function () { return [
        { type: ayuda_service_1.AyudaService }
    ]; };
    BitReadonlyComponent.propDecorators = {
        ayuda: [{ type: core_1.Input }],
        valor: [{ type: core_1.Input }],
        tipo: [{ type: core_1.Input }],
        hideLabel: [{ type: core_1.Input }]
    };
    return BitReadonlyComponent;
}());
exports.BitReadonlyComponent = BitReadonlyComponent;
//# sourceMappingURL=bit-readonly.component.js.map